<?php
require_once('lib/extras.init.php');

// Variabeln definieren
if (!isset($headmsg)) $headmsg = "";
if (!isset($puk)) $puk = "";
if (!isset($force_error)) $force_error = "";
if (!isset($wartezeit)) $wartezeit = "";
if (!isset($_GET['art'])) $_GET['art'] = "";
if (!isset($_GET['puk'])) $_GET['puk'] = "";
if (!isset($_GET['auszahlen'])) $_GET['auszahlen'] = "false";
if (!isset($_SESSION['uid'])) $_SESSION['uid'] = "";
if (!isset($forced['ziel'])) $forced['ziel'] = "";
if (!isset($forced['aufendhalt'])) $forced['aufendhalt'] = "";
if (!isset($forced['tan'])) $forced['tan'] = "";

// Nur weiter wenn eingeloggt
if (!is_user()) die('Bitte einloggen!');

// Tan sichern
$_GET['tan'] = mysql_real_escape_string ($_GET['tan']);

// Werbedaten auslesen! Fixed
$sql = sql::$db->prepare ("SELECT `t1`.* FROM `" . _VMS_ . "_gebuchte_werbung` AS `t1` 
                            LEFT JOIN `" . _VMS_ . "_reloads` AS `t2` ON (`t1`.`tan` = `t2`.`tan` AND (`t2`.`uid` = ? or `t2`.`ip` = ? ) AND `t2`.`bis` > ?)
                            WHERE `t1`.`tan` = ? AND `t2`.`tan` IS NULL AND `t1`.`werbeart` = 'forcedbanner' AND `t1`.`menge` >= 1 AND `t1`.`status` = 1 AND `t1`.`sponsor` != ? LIMIT 1");
$sql -> execute(array($_SESSION['uid'], $system['ip'], time(), $_GET['tan'], $_SESSION['uid']));

// Reloadprüfen
if ($sql -> rowCount()) {
    $forced = $sql -> fetch();;
    $wartezeit = $forced['aufendhalt'];
    $headmsg = 'Vergütung in ' . $forced['aufendhalt'] . ' Sek.!';
    if ($_GET['auszahlen'] != 'true') {
        $puk = md5($_SESSION['uid'] . $forced['aufendhalt'] . date("d.m.Y", time()) . $system['percode']);
        $_SESSION['earlies_payout' . $_GET['tan']] = time() + $wartezeit - 1;
    }
} else {
    $headmsg = 'Banner noch im Reload!';
    $force_error = 'true';
}
// User bezahlen und Reload schreiben
if ($_GET['auszahlen'] == 'true' && $force_error != 'true' && $_GET['puk'] == md5($_SESSION['uid'] . $forced['aufendhalt'] . date("d.m.Y", time()) . $system['percode']) && time() >= $_SESSION['earlies_payout' . $_GET['tan']]) {

    $sql = sql::$db->prepare ("UPDATE `" . _VMS_ . "_kontodaten`  SET `klicks` = `klicks` + 1, `kv` = `kv` + :verdienst , `kontostand` = `kontostand` + :verdienst WHERE `uid` = :uid LIMIT 1");
    $sql -> execute(array(':verdienst' => $forced['verdienst'], ':uid' => $_SESSION['uid']));

    refumsatz ($forced['verdienst'], $_SESSION['uid']);
    rallysystem ($_SESSION['uid'], '1', $forced['verdienst']);
    bilanz($forced['preis'], $forced['verdienst']);
    $new_reload = time() + $forced['reload'];

    $sql = sql::$db->prepare ("INSERT INTO `" . _VMS_ . "_reloads` (`ip`, `uid`, `tan`, `bis`) VALUES (?, ?, ?, ?)");
    $sql -> execute(array($system['ip'], $_SESSION['uid'], $forced['tan'], $new_reload));

    $sql = sql::$db->prepare ("UPDATE `" . _VMS_ . "_gebuchte_werbung` SET `menge` = `menge` - 1 WHERE `tan` = ?");
    $sql -> execute($_GET['tan']);

    $_SESSION['earlies_payout' . $_GET['tan']] = '';
    $headmsg = $forced['verdienst'] . ' ' . $system['waehrung'] . ' erhalten!';
} elseif ($_GET['auszahlen'] == 'true' && time() < $_SESSION['earlies_payout' . $_GET['tan']]) {
    $headmsg = 'Wartezeit umgangen.';
} elseif ($_GET['auszahlen'] == 'true' && $force_error != 'true') {
    $headmsg = 'Pin abgelaufen';
}



echo'<!DOCTYPE HTML />
<html>
    <head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="css/bframe.css" type="text/css">';
    if ($wartezeit >= 0 && $_GET['auszahlen'] != 'true') echo '<meta http-equiv="refresh" content="' . $wartezeit . ';url=topframe_forced.php?auszahlen=true&tan=' . $forced['tan'] . '&puk=' . $puk . '">';
    echo '
    </head>
    <body>
        <table width="100%" cellpadding="0" cellspacing="0" border="0" align="left">
            <tr>
                <td align="left" width="50%"><b>'.$system['seitenname'].' ist für den Inhalt nicht verantwortlich.</b></td>
                <td align="right" width="50%"><b>'.$headmsg.'</b>&nbsp;&nbsp;&nbsp;&nbsp;</td>
            </tr>
        </table>
    </body>
</html>';
